import { ModuleWithProviders } from '@angular/core';
import { EmailServiceConfig } from './email/email.service.config';
import { SharePointServiceConfig } from './sharepoint/sharepoint.service.config';
export * from './email/email';
export * from './email/email.service';
export * from './email/email.service.config';
export * from './sharepoint/sharepoint-list';
export * from './sharepoint/sharepoint.service';
export * from './sharepoint/sharepoint.service.config';
export declare class EmailModule {
    static forRoot(config: EmailServiceConfig): ModuleWithProviders;
}
export declare class SharePointModule {
    static forRoot(config: SharePointServiceConfig): ModuleWithProviders;
}
